#!/bin/sh

echo "=== Start patch index.html file to allow deployment of project $1 in dynamic base-href ==="

APP_NAME=$1
BROWSER_FOLDER=../dist/$APP_NAME
INDEX_FILE=$BROWSER_FOLDER/index.html
NGXS_FILE=$BROWSER_FOLDER/ngsw.json

if [ -f "$INDEX_FILE" ]; then
    echo "$INDEX_FILE exists."
else
    echo "$INDEX_FILE does not exist, try on srr build mode."
    BROWSER_FOLDER=../dist/$APP_NAME/browser
    INDEX_FILE=$BROWSER_FOLDER/index.html
    NGXS_FILE=$BROWSER_FOLDER/ngsw.json
fi

if [ -f "$INDEX_FILE" ]; then
    echo "$INDEX_FILE exists."

    sed -i -- 's/href="/href-temp="/g' $INDEX_FILE
    sed -i -- 's/src="/src-temp="/g' $INDEX_FILE
    echo "File '$INDEX_FILE' patched by suffixing 'href' and 'src' with '-temp'"

    SHA1_INDEX_FILE=$(sha1sum $INDEX_FILE | awk '{print $1}')
    sed -i -- "s#\"/index.html\": \".*\"#\"/index.html\": \"$SHA1_INDEX_FILE\"#g" $NGXS_FILE
    echo "Entry '/index.html' hash updated in '$NGXS_FILE' with new sha1 value '$SHA1_INDEX_FILE'"

else
    echo "$INDEX_FILE does not exist, abort patch index."
fi

echo "=== End patch ==="
